%define upstream_name    Test-URI
%define upstream_version 1.081

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check Uniform Resource Identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch:  noarch

%description 
Check various parts of Uniform Resource Locators.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.81.0-3pclos2017
- rebuild against updates

